- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDSpline Class Reference

Represents a generic spline. More...

`#include <FCDGeometrySpline.h>`

Inheritance diagram for FCDSpline:

List of all members.

## Public Member Functions
| FCDSpline (FCDocument *document)
| Constructor.
virtual | ~FCDSpline ()
| Destructor.
virtual FUDaeSplineType::Type | GetSplineType () const =0
| Retrieves the type of the spline.
fm::string & | GetName ()
| Gets the name of the spline.
const fm::string & | GetName () const
| See above.
void | SetName (const fm::string &_name)
| Sets the name of the spline.
bool | IsClosed () const
| Retrieves if the spline is closed or not.
void | SetClosed (bool closed)
| Sets if the spline is closed or not.
size_t | GetCVCount () const
| Retrieves the number of CVs in the spline.
FMVector3 * | GetCV (size_t index)
| Retrieves a pointer to the control vertex specified by the given index.
const FMVector3 * | GetCV (size_t index) const
| See above.
FMVector3List & | GetCVs ()
| Retrieves a reference to the CVs list.
const FMVector3List & | GetCVs () const
| See above.
void | ClearCVs ()
| Empty the spline's control vertex list.
virtual FCDSpline * | Clone (FCDSpline *clone) const
| [INTERNAL] Copies the spline into a clone.
## Protected Attributes
FMVector3List | cvs
| The list of control vertices.

## Detailed Description

Represents a generic spline.

A FCSpline contains a list of control vertices and a closed attribute which defaults to false.

## Constructor & Destructor Documentation

FCDSpline::FCDSpline | ( | FCDocument * | document | ) |

  | Constructor. Parameters:
  | document | The FCollada document that owns this spline.

## Member Function Documentation

virtual FCDSpline* FCDSpline::Clone | ( | FCDSpline * | clone | ) | const`[virtual]`

  | [INTERNAL] Copies the spline into a clone. The clone may reside in another document. Parameters:
  | clone | The empty clone. This pointer cannot be NULL.
Returns: The clone. Reimplemented in FCDNURBSSpline.

FMVector3* FCDSpline::GetCV | ( | size_t | index | ) | `[inline]`

  | Retrieves a pointer to the control vertex specified by the given index. Parameters:
  | index | The index, must be higher or equal to 0 and lower than GetCVCount().
Returns: The control vertex.

size_t FCDSpline::GetCVCount | ( |  | ) | const`[inline]`

| Retrieves the number of CVs in the spline. Returns: The number of control vertices.

FMVector3List& FCDSpline::GetCVs | ( |  | ) | `[inline]`

| Retrieves a reference to the CVs list. Returns: The reference to the control vertices.

fm::string& FCDSpline::GetName | ( |  | ) | `[inline]`

| Gets the name of the spline. Returns: The spline name.

virtual FUDaeSplineType::Type FCDSpline::GetSplineType | ( |  | ) | const`[pure virtual]`

| Retrieves the type of the spline. This is the only method of the FCDSpline interface. Returns: FUDaeSplineType of the spline. Implemented in FCDLinearSpline, FCDBezierSpline, and FCDNURBSSpline.

bool FCDSpline::IsClosed | ( |  | ) | const`[inline]`

| Retrieves if the spline is closed or not. Returns: The closed boolean value.

void FCDSpline::SetClosed | ( | bool | closed | ) | `[inline]`

  | Sets if the spline is closed or not. Parameters:
  | closed | The closed attribute value.

void FCDSpline::SetName | ( | const fm::string & | _name | ) | `[inline]`

  | Sets the name of the spline. Parameters:
  | _name | The new name.

The documentation for this class was generated from the following file:

- FCDocument/FCDGeometrySpline.h